# QProcessEnvironment Class Reference

### [com.trolltech.qt.core package]

### Constructor

- void QProcessEnvironment()
- void QProcessEnvironment(QProcessEnvironment other)

### Constructor Properties

- prototype: The QProcessEnvironment prototype object
- QProcessEnvironment systemEnvironment()

### Prototype Object Properties

- void clear()
- bool contains(String name)
- void insert(QProcessEnvironment e)
- bool isEmpty()
- List keys()
- QProcessEnvironment operator_assign(QProcessEnvironment other)
- bool operator_equal(QProcessEnvironment other)
- void remove(String name)
- List toStringList()
- String value(String name, String defaultValue)

### Instance Properties

QProcessEnvironment objects have no special properties beyond those inherited from the QProcessEnvironment prototype object.